import 'package:flutter/material.dart';
import 'dart:async';

import 'package:flutter/services.dart';
import 'package:qpc_admob/qpc_admob.dart';
import 'package:qpc_admob/ui//test_ad_widget.dart';

void main() => runApp(MyApp());

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String _platformVersion = 'Unknown';
  BannerAd ttBannderAd;

  BannerAd expressBannderAd;


  @override
  void initState() {
    super.initState();
    initPlatformState();

    ttBannderAd = BannerAd(
      adPlatform: 'qsj',
      adUnitId: '901121253',
      size:AdSize.smartBanner,
      targetingInfo: MobileAdTargetingInfo(
      ),
      listener: (MobileAdEvent event) async{
        print("ttbanner event ${event.toString()}");

        if(MobileAdEvent.opened == event) {
          print("ttbanner event ${event.toString()}");

        }
      },
    );

    expressBannderAd = BannerAd(
      adPlatform: 'qsj',
      adUnitId: '901121246',
      size:AdSize.banner,
      targetingInfo: MobileAdTargetingInfo(
      ),
      listener: (MobileAdEvent event) async{
        print("ttbanner event ${event.toString()}");

        if(MobileAdEvent.opened == event) {
          print("ttbanner event ${event.toString()}");

        }
      },
    );
  }

  // Platform messages are asynchronous, so we initialize in an async method.
  Future<void> initPlatformState() async {
    String platformVersion;
    // Platform messages may fail, so we use a try/catch PlatformException.
    try {
      //测试"5001121",正式"901121430"
      platformVersion = await QpcAdmob.instance.initialize(appId: "5001121").toString();
      RewardedVideoAd.instance.listener= (RewardedVideoAdEvent event, {String rewardType, int rewardAmount}) {
        print("RewardedVideoAd event $event");
        if (event == RewardedVideoAdEvent.cached || event == RewardedVideoAdEvent.loaded ) {
          RewardedVideoAd.instance.show('qsj');
          setState(() {
            platformVersion = rewardType + rewardAmount.toString();
          });
        }
        if (event == RewardedVideoAdEvent.rewarded) {
          setState(() {
            platformVersion = rewardType + rewardAmount.toString();
          });
        }
      };
    } on PlatformException {
      platformVersion = 'Failed to get platform version.';
    }

    // If the widget was removed from the tree while the asynchronous platform
    // message was in flight, we want to discard the reply rather than calling
    // setState to update our non-existent appearance.
    if (!mounted) return;

    setState(() {
      _platformVersion = platformVersion;
    });
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Center(
          child: Column(
            children: <Widget>[
              FlatButton(onPressed: () async{
                try {

                  //测试adUnitId 901121430 ，正式：939140473
                  RewardedVideoAd.instance.load(adPlatform:'qsj',adUnitId: '901121430', userId: '12123333',targetingInfo: MobileAdTargetingInfo());
//              RewardedVideoAd.instance.load(adPlatform:'tx',adUnitId: '5060091483981633', userId: '12123333',targetingInfo: MobileAdTargetingInfo());

                } on PlatformException {
                _platformVersion = 'Failed to get platform version.';
                }

              setState(() {
              _platformVersion = _platformVersion;
              });

              }, child: Text("播放广告$_platformVersion"),
        ),

              FlatButton(onPressed: () async{
                try {

                  //测试adUnitId 901121430 ，正式：939140473
//              RewardedVideoAd.instance.load(adPlatform:'tx',adUnitId: '5060091483981633', userId: '12123333',targetingInfo: MobileAdTargetingInfo());
                  ttBannderAd.load();
                } on PlatformException {
                  _platformVersion = 'Failed to get platform version.';
                }

                setState(() {
                  _platformVersion = _platformVersion;
                });

              }, child: Text("播放banner广告$_platformVersion"),
              ),


              FlatButton(onPressed: () async{
                try {

                  //测试adUnitId 901121430 ，正式：939140473
//              RewardedVideoAd.instance.load(adPlatform:'tx',adUnitId: '5060091483981633', userId: '12123333',targetingInfo: MobileAdTargetingInfo());
                  expressBannderAd.load();
                } on PlatformException {
                  _platformVersion = 'Failed to get platform version.';
                }

                setState(() {
                  _platformVersion = _platformVersion;
                });

              }, child: Text("播放原生自渲染banner广告$_platformVersion"),
              ),


              FlatButton(onPressed: () async{
                try {

                  //测试adUnitId 901121430 ，正式：939140473
//              RewardedVideoAd.instance.load(adPlatform:'tx',adUnitId: '5060091483981633', userId: '12123333',targetingInfo: MobileAdTargetingInfo());
                  expressBannderAd.dispose();
                } on PlatformException {
                  _platformVersion = 'Failed to get platform version.';
                }

                setState(() {
                  _platformVersion = _platformVersion;
                });

              }, child: Text("关闭播放原生自渲染banner广告"),
              ),


             Text("这里是flutter的Text"),

            Expanded(

              child: TestAdWidget(text:"安卓原生1236666666")

            ),

            Text("这里是flutter的Text"),

            ],
          ),
      ),
    ));
  }
}

